## golang-github-smallstep-nosql 0.3.8

=== Makefile ===
# Set V to 1 for verbose output from the Makefile
Q=$(if $V,,@)
PREFIX?=
SRC=$(shell find . -type f -name '*.go' -not -path "./vendor/*")
GOOS_OVERRIDE ?=
OUTPUT_ROOT=output/

all: test lint

travis: travis-test lint

.PHONY: all

#########################################
# Bootstrapping
#########################################

bootstra%:
	$Q GO111MODULE=on go get github.com/golangci/golangci-lint/cmd/golangci-lint@v1.24.0

.PHONY: bootstra%

#################################################
# Determine the type of `push` and `version`
#################################################

# Version flags to embed in the binaries
VERSION ?= $(shell [ -d .git ] && git describe --tags --always --dirty="-dev")
# If we are not in an active git dir then try reading the version from .VERSION.
# .VERSION contains a slug populated by `git archive`.
VERSION := $(or $(VERSION),$(shell ./.version.sh .VERSION))
VERSION := $(shell echo $(VERSION) | sed 's/^v//')
NOT_RC  := $(shell echo $(VERSION) | grep -v -e -rc)

# If TRAVIS_TAG is set then we know this ref has been tagged.
ifdef TRAVIS_TAG
	ifeq ($(NOT_RC),)
		PUSHTYPE=release-candidate
	else
		PUSHTYPE=release
	endif
else
	PUSHTYPE=master
endif

#########################################
# Test
#########################################
test:
	$Q $(GOFLAGS) go test -short -coverprofile=coverage.out ./...

travis-test:
	$Q $(GOFLAGS) TRAVIS=1 go test -short -coverprofile=coverage.out ./...

.PHONY: test travis-test

#########################################
# Linting
#########################################

fmt:
	$Q gofmt -l -w $(SRC)

lint:
	$Q LOG_LEVEL=error golangci-lint run

.PHONY: lint fmt

#########################################
# Clean
#########################################

clean:
ifneq ($(BINNAME),"")
	$Q rm -f bin/$(BINNAME)
endif

.PHONY: clean

=== debian/changelog ===
golang-github-smallstep-nosql (0.3.8-2) unstable; urgency=medium

  * Updating maintainer info
  * Updating Standards-Version

 -- Peymaneh <peymaneh@posteo.net>  Tue, 20 Dec 2022 15:45:09 +0100

golang-github-smallstep-nosql (0.3.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)

 -- Nilesh Patra <nilesh@debian.org>  Mon, 04 Oct 2021 13:49:23 +0530

golang-github-smallstep-nosql (0.3.6-2) unstable; urgency=medium

  * Testing migration

 -- Peymaneh Nejad <p.nejad@posteo.de>  Tue, 24 Aug 2021 14:56:40 +0200

golang-github-smallstep-nosql (0.3.6-1) unstable; urgency=medium

  * Initial release (Closes: #990860)

 -- Peymaneh Nejad <p.nejad@posteo.de>  Sun, 11 Jul 2021 22:29:50 +0530

=== debian/control ===
Source: golang-github-smallstep-nosql
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Peymaneh <peymaneh@posteo.net>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-google-protobuf-dev,
               golang-github-pkg-errors-dev,
               golang-github-dgryski-go-farm-dev,
               golang-github-golang-snappy-dev,
               golang-github-smallstep-assert-dev,
               golang-github-go-sql-driver-mysql-dev,
               golang-github-dgraph-io-badger-dev,
               golang-github-datadog-zstd-dev,
               golang-github-coreos-bbolt-dev
Standards-Version: 4.6.1.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-smallstep-nosql
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-smallstep-nosql.git
Homepage: https://github.com/smallstep/nosql
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/smallstep/nosql

Package: golang-github-smallstep-nosql-dev
Architecture: all
Depends: golang-google-protobuf-dev,
         golang-github-pkg-errors-dev,
         golang-github-dgryski-go-farm-dev,
         golang-github-golang-snappy-dev,
         golang-github-smallstep-assert-dev,
         golang-github-go-sql-driver-mysql-dev,
         golang-github-dgraph-io-badger-dev,
         golang-github-datadog-zstd-dev,
         golang-github-coreos-bbolt-dev,
         ${misc:Depends}
Description: abstraction layer for data persistency written in golang
 This project is in development, the API is not stable.
 .
 This library currently provides following implementations (other are on the
 roadmap):
  - BoltDB (etcd fork: https://github.com/etcd-io/bbolt)
  - Badger (https://github.com/dgraph-io/badger)
  - MariaDB/MySQL

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-github-smallstep-nosql-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
  https://github.com/smallstep/nosql/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-smallstep-nosql 0.7.0

=== debian/changelog ===
golang-github-smallstep-nosql (0.7.0-2) unstable; urgency=medium

  * Team upload.
  * Mark *-dev as Multi-Arch: foreign.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 15 Oct 2025 00:04:02 +0200

golang-github-smallstep-nosql (0.7.0-1) unstable; urgency=medium

  * Team upload.
  * Use watch v5.
  * New upstream version 0.7.0
  * Standards-Version: 4.7.2.
  * Drop Rules-Requires-Root: no.
  * Bump debian/* copyright years.
  * Disable postgres/badger until deps fixed.
  * Add salsa-ci.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 02 Oct 2025 10:15:36 +0200

golang-github-smallstep-nosql (0.3.8-3) unstable; urgency=medium

  * Team upload
  * d/control:
    - Update Standards-Version to 4.7.0 (no changes needed)
    - Remove unneeded Build-Depends and Depends
    - Set minimum version of golang-github-dgraph-io-badger-dev

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 02 Aug 2024 01:43:24 +0000

=== debian/control ===
Source: golang-github-smallstep-nosql
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Peymaneh <peymaneh@posteo.net>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-coreos-bbolt-dev,
               golang-github-go-sql-driver-mysql-dev,
               golang-github-pkg-errors-dev,
               golang-github-smallstep-assert-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-smallstep-nosql
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-smallstep-nosql.git
Homepage: https://github.com/smallstep/nosql
XS-Go-Import-Path: github.com/smallstep/nosql

Package: golang-github-smallstep-nosql-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-coreos-bbolt-dev,
         golang-github-go-sql-driver-mysql-dev,
         golang-github-pkg-errors-dev,
         golang-github-smallstep-assert-dev,
         ${misc:Depends}
Description: abstraction layer for data persistency written in golang
 This project is in development, the API is not stable.
 .
 This library currently provides following implementations (other are on the
 roadmap):
  - BoltDB (etcd fork: https://github.com/etcd-io/bbolt)
  - Badger (https://github.com/dgraph-io/badger)
  - MariaDB/MySQL

=== debian/watch ===
Version: 5
Template: Github
Owner: smallstep
Project: nosql
Uversionmangle: s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/
